Bug 969162 - [abrt] cinnamon-1.8.3-1.fc19: Spices.py:606:download:AttributeError: Spice_Harvester instance has no attribute 'error'
[abrt] cinnamon-1.8.3-1.fc19: Spices.py:606:download:AttributeError: Spice_Ha...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
abrt_hash:2bc537c36ccc3611710d599eb60...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 15:33 EDT by Andrea Oliveri
Modified: 2013-06-02 23:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: cinnamon-1.9.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-02 23:41:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.14 KB, text/plain)
2013-05-30 15:33 EDT, Andrea Oliveri
no flags Details
File: core_backtrace (519 bytes, text/plain)
2013-05-30 15:33 EDT, Andrea Oliveri
no flags Details
File: environ (1.46 KB, text/plain)
2013-05-30 15:33 EDT, Andrea Oliveri
no flags Details

  None (edit)
Description Andrea Oliveri 2013-05-30 15:33:40 EDT
Version-Release number of selected component:
cinnamon-1.8.3-1.fc19

Additional info:
reporter:       libreport-2.1.4
cmdline:        python /usr/lib/cinnamon-settings/cinnamon-settings.py
executable:     /usr/lib/cinnamon-settings/cinnamon-settings.py
kernel:         3.9.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Spices.py:606:download:AttributeError: Spice_Harvester instance has no attribute 'error'

Traceback (most recent call last):
  File "/usr/lib/cinnamon-settings/bin/ExtensionCore.py", line 868, in on_page_changed
    self.load_spices()
  File "/usr/lib/cinnamon-settings/bin/ExtensionCore.py", line 759, in load_spices
    self.spices.load(self.on_spice_load, force)
  File "/usr/lib/cinnamon-settings/bin/Spices.py", line 250, in load
    self.refresh_cache()
  File "/usr/lib/cinnamon-settings/bin/Spices.py", line 261, in refresh_cache
    self.download(f, filename)
  File "/usr/lib/cinnamon-settings/bin/Spices.py", line 606, in download
    self.errorMessage(_("An error occurred while trying to access the server.  Please try again in a little while."), self.error or None)
AttributeError: Spice_Harvester instance has no attribute 'error'

Local variables in innermost frame:
url: 'http://cinnamon-spices.linuxmint.com/json/themes.json'
outfile: '/home/andrea/.cinnamon/spices.cache/theme/index.json'
self: <Spices.Spice_Harvester instance at 0x7f677002ea70>
outfd: <open file '/home/andrea/.cinnamon/spices.cache/theme/index.json', mode 'w' at 0x2860930>
Comment 1 Andrea Oliveri 2013-05-30 15:33:45 EDT
Created attachment 755028 [details]
File: backtrace
Comment 2 Andrea Oliveri 2013-05-30 15:33:48 EDT
Created attachment 755029 [details]
File: core_backtrace
Comment 3 Andrea Oliveri 2013-05-30 15:33:52 EDT
Created attachment 755030 [details]
File: environ
Comment 4 Fedora Update System 2013-05-30 21:52:40 EDT
cinnamon-1.8.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cinnamon-1.8.6-2.fc19
Comment 5 Fedora Update System 2013-05-31 14:09:58 EDT
Package cinnamon-1.8.6-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cinnamon-1.8.6-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9735/cinnamon-1.8.6-2.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-06-02 14:00:01 EDT
cinnamon-1.9.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cinnamon-1.9.1-1.fc19
Comment 7 Fedora Update System 2013-06-02 23:41:24 EDT
cinnamon-1.9.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.